Subject: [bug#34647] [PATCH] gnu: python-petsc4py: Update to 10.3.1.

From: Paul Garlick <[email-masked]>
Date: Tue, 26 Feb 2019 15:06:03 +0000

Hi Leo,

> I tested this update by building fenics on top of it. On my x86-63
> machine, it failed as below. Is this expected or a reason to block
> the python-petsc4py update?

Thank you for doing the fenics test too.  

I have fixed the build problem for fenics-dolfin in patch #34668.

These patches for python-petsc4py and fenics-dolfin have been made 
necessary by the recent update of the PETSc dependency.  Essentially,
a symbol that used to be referenced in these packages is no longer
made available by PETSc.

Best regards,

Paul.